Subject: re: upload/umask

From: Bob Vickers <[email-masked]>
Date: Tue, 14 Feb 1995 09:56:21 +0000 (GMT)

> When "real" (that is, non-guest and non-anonymous) users using wuftp 
> "put" files on our system, the permissions come out 664.  Where does
> this 664 come from?  It's not in my ftpaccess file.  How do I change
> this to 600?  In ftpaccess file, you need to enter an owner and group
> in the "upload" section but that's absurd to do that for each and every
> individual in the password file.
> 

Laura,

This is an undocumented compile-time option. In your top-level config.h put

/*
 * define default umask for user created files
 */
#define CMASK 077

for a safer default umask which will cause files to be created rw------- .

Regards,
Bob
-------------------------------------------------------------------------------
+ Bob Vickers,	University of London Computer Centre
+ E-mail:	[email-masked]
+ Phone:	+44 171-405 8400 ext 386	(in UK: 0171-405 8400 ext 386)
+ WWW:		http://www.ulcc.ac.uk/staff/Bob+Vickers